Author Topic: About BEPU for Unity  (Read 3236 times)

Dechcaudron

  • Jr. Member
  • **
  • Posts: 51
    • View Profile
About BEPU for Unity
« on: July 10, 2014, 09:20:44 AM »
Hi GCC,

I'm currently integrating BEPUphysics, and although it raises no issues in the server side, Unity cannot compile the last version of the libraries (v1.3), raising an exception that says it can't load the type GuidAttribute. I am assuming this version of the library was compiled in .NET 4.5 and Unity runs on .NET 3.5. Since in the BEPU project webpage it does not mention in which NET version those libraries were compiled, I'd be very thankful if you could tell me which version you used to run the performance tests.

Thanks beforehand!
Dechcaudron

AMarinov

  • Global Moderator
  • Newbie
  • *****
  • Posts: 17
    • View Profile
Re: About BEPU for Unity
« Reply #1 on: July 10, 2014, 11:38:37 AM »
Hi Dechaudron,

Yes, the downloadable version of it is compiled on windows for .net 4.0 so it have issues with Unity, but it is also available as a source code.
I just downloaded and compiled it on Xamarin for Mono and it works in Unity.
I attached the Mono compiled dlls. to this post.

Regards,
Atanas

Dechcaudron

  • Jr. Member
  • **
  • Posts: 51
    • View Profile
Re: About BEPU for Unity
« Reply #2 on: July 10, 2014, 11:50:56 AM »
I love you so much Atanas

Dechcaudron

  • Jr. Member
  • **
  • Posts: 51
    • View Profile
Re: About BEPU for Unity
« Reply #3 on: July 17, 2014, 11:54:41 AM »
Okay, I've been playing around a bit with BEPU and it is dope. Good election guys.